#include<iostream>

using namespace std;

int main(){
    int N, M;
    cin >> N >> M;
    
    int Z[N][M];
    
    float s = 0.0;
    int A[N];
    for(int i = 0; i < N; i++){
        cin >> A[i];
        s+= A[i];
    }
    float f = s/(M*N);
    
    for(int i = 0; i < N; i++){
        if(f > 0.5){
            if(A[i] == 0) A[i] = M;
            for(int j = 0; j < A[i]; j++)
                Z[i][j] = 1;
            
        } else {
            if(A[i] != M){
                for(int j = 0; j < A[i]; j++)
                    Z[i][j] = 1;
            }
        }
    }
    
    
    
    int sum = 0;
    for(int i = 0; i < M; i++){
        int o = 0;
        for(int j = 0; j < N; j++){
            if(Z[j][i] == 1) o++;
        }
        sum+= o*(N-o);
    }
    cout << sum;
    
    return 0;
}